Title "Untitled"

Controls {
}

IOControls {
	EnableSections
}

Definitions {
	AnalyticalProfile "DopAnode" {
		Species = "BoronActiveConcentration"
		Function = Gauss(PeakPos = 0, PeakVal = 1e+19, ValueAtDepth = 5e+12, Depth = 5)
		LateralFunction = Gauss(Factor = 0.8)
	}
	AnalyticalProfile "DopCathode" {
		Species = "PhosphorusActiveConcentration"
		Function = Gauss(PeakPos = 0, PeakVal = 1e+19, ValueAtDepth = 5e+12, Depth = 5)
		LateralFunction = Gauss(Factor = 0.8)
	}
	Constant "ConstantProfileDefinition_1" {
		Species = "BoronActiveConcentration"
		Value = 5e+12
	}
	Refinement "RefinementDefinition_1" {
		MaxElementSize = ( 0.3 10 1 )
		MinElementSize = ( 0.01 0.01 0.01 )
		RefineFunction = MaxTransDiff(Variable = "DopingConcentration",Value = 1)
	}
}

Placements {
	AnalyticalProfile "Place_anode" {
		Reference = "DopAnode"
		ReferenceElement {
			Element = Line [(-10 200) (11 200)]
		}
	}
	AnalyticalProfile "Place_cathode" {
		Reference = "DopCathode"
		ReferenceElement {
			Element = Line [(-10 0) (11 0)]
		}
	}
	Constant "ConstantProfilePlacement_1" {
		Reference = "ConstantProfileDefinition_1"
		EvaluateWindow {
			Element = material ["Silicon"]
		}
	}
	Refinement "RefinementPlacement_1" {
		Reference = "RefinementDefinition_1"
		RefineWindow = material ["Silicon"]
	}
}

