

File {
    Grid       = "n1_msh.tdr"
    Current    = "n161_des.plt"
    Plot       = "n161_des.tdr"
    output = "n161_des.log"
    parameter = "pp161_des.par"
}



Electrode {
	{name = "cathode"   voltage = 0.0    	eRecVelocity=1e7 hRecVelocity=1e7 }	
	{name = "anode"   voltage = 0.0    	eRecVelocity=1e7 hRecVelocity=1e7 }	
		
}


Physics { 
 }
        
 Physics (material="Silicon") { 

 	Mobility( 
		DopingDep(Unibo)
            	HighFieldsat(GradQuasiFermi)
 	  	)
  	Recombination( 
		 SRH(DopingDep TempDep)
		 Auger
  		hAvalanche eAvalanche 		
		)
  	EffectiveIntrinsicDensity(OldSlotboom)
 


 	Traps(
  			(
  			name="state1" acceptor conc=0.0
  			Level FromConductionBand	EnergyMid=0.42
  			eXsection=2E-15  hXsection=2E-14
			)
  			(
  			name="state2" acceptor conc=0.0
  			Level FromConductionBand	EnergyMid=0.46
  			eXsection=5E-15  hXsection=5E-14
			)
  			(
  			name="state3" donor conc=0.0
  			Level FromValenceBand	EnergyMid=0.36
  			eXsection=2.5E-14  hXsection=2.5E-15
			)
		)
  	HeavyIon("ion1")(
  		Direction=(0,1)
  		Location=(0.5,0)
  		Time=5e-9
  		Length = 100.0
  		LET_f = 0.3
  		Wt_hi = 0.5
  		Gaussian
  		PicoCoulomb
  		)

} 

CurrentPlot {
eLifeTime(Maximum(material="Silicon"))
hLifeTime(Maximum(material="Silicon"))
eAvalanche(Maximum(material="Silicon"))
hAvalanche(Maximum(material="Silicon"))
RadiationGeneration(Maximum(material="Silicon"))
HeavyIonGeneration(Maximum(material="Silicon"))

}

Math {

	Extrapolate

    Derivatives
  Avalderivatives
  Digits=7
  Notdamped=1000
  Iterations=15
  RelerrControl
  ErrRef(electron)=1e6
  ErrRef(hole)=1e6
  RhsMin=1e-15
  
  RecBoxIntegr
  
    eMobilityAveraging=ElementEdge       
  hMobilityAveraging=ElementEdge       
  ParallelToInterfaceInBoundaryLayer(-ExternalBoundary)

  Transient=BE
  
}


Solve {



Poisson
  plugin { Poisson Electron Hole }
  Coupled { Poisson Electron Hole }

   Quasistationary (  		DoZero
   			MaxStep=0.02  MinStep=1e-8 InitialStep=1e-5
			Increment=1.6 Decrement=4.0
                  		Goal { Name="anode" Voltage=-200 } 
                 		)
                  { Coupled {  Poisson Electron Hole } } 
                  
 NewCurrent="HEAVY_"    
              	
   Transient (  	
   			initialtime=0 finaltime=100.0e-9

  			MaxStep=10 
   			MinStep=1e-18 InitialStep=1e-10
			Increment=1.6 Decrement=4.0
			TurningPoints(
			(  condition ( Time( range=( 0 4.95e-09 )))   value=1e-10 )		
			(  condition ( Time( 4.95e-09) )    value=1e-12 )
			(  condition ( Time( range=( 4.95e-09 5.05e-09 )))   value=1e-12 )		
			)
                 )
                  { 
                  	 Coupled {  Poisson Electron Hole } 
                  Plot(FilePrefix="n161_atmax_" time=(5e-9) nooverwrite )
                  } 
      


}
   

Plot {
	
        Current/Vector	
	eCurrent/Vector
	hCurrent/Vector
	eDensity
	hDensity
	ElectricField/Vector
	Potential
	CurrentPotential
  	DopingConcentration	
	eMobility
	hMobility
	DonorConcentration
	AcceptorConcentration
 	AvalancheGeneration
 	
 	eAvalanche hAvalanche
 	eLifeTime hLifeTime
 	
 	RadiationGeneration
 	HeavyIonGeneration


}



