

device DIODE {
File {
    Grid       = "n1_msh.tdr"
    Current    = "n37_des.plt"
    Plot       = "n37_des.tdr"
}



Electrode {
	{name = "cathode"   voltage = 0.0    	eRecVelocity=1e7 hRecVelocity=1e7 }	
	{name = "anode"   voltage = 0.0    	eRecVelocity=1e7 hRecVelocity=1e7 }	
		
}


Physics { 
 }
        
 Physics (material="Silicon") { 

 	Mobility( 
		DopingDep(Unibo)
            	HighFieldsat(GradQuasiFermi)
 	  	)
  	Recombination( 
		 SRH(DopingDep TempDep)
		 Auger
  		hAvalanche eAvalanche 		
		)
  	EffectiveIntrinsicDensity(OldSlotboom)
  	


 	Traps(
  			(
  			name="state1" acceptor conc=16130000000000.0
  			Level FromConductionBand	EnergyMid=0.42
  			eXsection=2E-15  hXsection=2E-14
			)
  			(
  			name="state2" acceptor conc=1000000000000000.0
  			Level FromConductionBand	EnergyMid=0.46
  			eXsection=5E-15  hXsection=5E-14
			)
  			(
  			name="state3" donor conc=9000000000000.0
  			Level FromValenceBand	EnergyMid=0.36
  			eXsection=2.5E-14  hXsection=2.5E-15
			)
		)

  	

} 

CurrentPlot {
eLifeTime(Maximum(material="Silicon"))
hLifeTime(Maximum(material="Silicon"))
eAvalanche(Maximum(material="Silicon"))
hAvalanche(Maximum(material="Silicon"))
}
}


Math {

	Extrapolate
    Derivatives
  Avalderivatives
  Digits=7
  Notdamped=1000
  Iterations=15
  RelerrControl
  ErrRef(electron)=1e6
  ErrRef(hole)=1e6
  RhsMin=1e-15
  
    eMobilityAveraging=ElementEdge       
  hMobilityAveraging=ElementEdge       
  ParallelToInterfaceInBoundaryLayer(-ExternalBoundary)

}

system {
	DIODE D1 ("anode"=a "cathode"=c) {}
	Vsource_pset va (a gnd) {dc=0}
	Vsource_pset vc (c gnd) {dc=0}
	
	set(gnd=0)
}


Solve {

   Poisson
  Coupled { Poisson Electron Hole }

              	
   Quasistationary (  		DoZero
   			MaxStep=0.02  MinStep=5e-6 InitialStep=1e-4
			Increment=1.6 Decrement=4.0
                  		Goal { Parameter="vc"."dc" Voltage=-0.6 } 
                 		)
                  { Coupled {  Poisson Electron Hole } } 
      
 NewCurrent="CV_"    

    Quasistationary (  		DoZero
   			MaxStep=0.02  MinStep=5e-6 InitialStep=1e-4
			Increment=1.6 Decrement=4.0
                  		Goal { Parameter="vc"."dc" Voltage=100 } 
                 		)
                  { 
                  	  ACCoupled (
                  	  	StartFrequency=1.0 EndFrequency=1.0
                  	  	NumberOfPoints=1 Decade
                  	  	Node(a c) Exclude(va vc)
                  	  	) {  Poisson Electron Hole } 
                  } 


}
   
file {
	ACExtract = "n37_ac_des.plt"
    output = "n37_des.log"
}

Plot {
	
        Current/Vector	
	eCurrent/Vector
	hCurrent/Vector
	eDensity
	hDensity
	ElectricField/Vector
	Potential
	CurrentPotential
  	DopingConcentration	
	eMobility
	hMobility
	DonorConcentration
	AcceptorConcentration
 	AvalancheGeneration
 	
 	eAvalanche hAvalanche
 	eLifeTime hLifeTime


}


